### Constructor

# Gtk RecentManagernew

#### Declaration [src]

    GtkRecentManager*
    gtk_recent_manager_new (
      void
    )

#### Description [src]

Creates a new recent manager object.

Recent manager objects are used to handle the list of recently used resources. A `GtkRecentManager` object monitors the recently used resources list, and emits the `GtkRecentManager::changed` signal each time something inside the list changes.

`GtkRecentManager` objects are expensive: be sure to create them only when needed. You should use `gtk_recent_manager_get_default()` instead.

#### Return value

Type: `GtkRecentManager`

A newly created `GtkRecentManager` object.

The caller of the function takes ownership of the data, and is responsible for freeing it.